Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network6.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
6.0.0.0
Broadcast address
6.255.255.255
First usable
6.0.0.1
Last usable
6.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 06000000 · Integer 100663296 to 117440511
Reverse DNS zone
6.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000110..00000000.00000000.000000006.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00000110..00000000.00000000.000000006.0.0.0
Broadcast00000110..11111111.11111111.111111116.255.255.255
Split into smaller subnets/16

6.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
16.0.0.0/166.0.0.1 to 6.0.255.2546.0.255.25565,534
26.1.0.0/166.1.0.1 to 6.1.255.2546.1.255.25565,534
36.2.0.0/166.2.0.1 to 6.2.255.2546.2.255.25565,534
46.3.0.0/166.3.0.1 to 6.3.255.2546.3.255.25565,534
56.4.0.0/166.4.0.1 to 6.4.255.2546.4.255.25565,534
66.5.0.0/166.5.0.1 to 6.5.255.2546.5.255.25565,534
76.6.0.0/166.6.0.1 to 6.6.255.2546.6.255.25565,534
86.7.0.0/166.7.0.1 to 6.7.255.2546.7.255.25565,534
96.8.0.0/166.8.0.1 to 6.8.255.2546.8.255.25565,534
106.9.0.0/166.9.0.1 to 6.9.255.2546.9.255.25565,534
116.10.0.0/166.10.0.1 to 6.10.255.2546.10.255.25565,534
126.11.0.0/166.11.0.1 to 6.11.255.2546.11.255.25565,534
136.12.0.0/166.12.0.1 to 6.12.255.2546.12.255.25565,534
146.13.0.0/166.13.0.1 to 6.13.255.2546.13.255.25565,534
156.14.0.0/166.14.0.1 to 6.14.255.2546.14.255.25565,534
166.15.0.0/166.15.0.1 to 6.15.255.2546.15.255.25565,534
176.16.0.0/166.16.0.1 to 6.16.255.2546.16.255.25565,534
186.17.0.0/166.17.0.1 to 6.17.255.2546.17.255.25565,534
196.18.0.0/166.18.0.1 to 6.18.255.2546.18.255.25565,534
206.19.0.0/166.19.0.1 to 6.19.255.2546.19.255.25565,534
216.20.0.0/166.20.0.1 to 6.20.255.2546.20.255.25565,534
226.21.0.0/166.21.0.1 to 6.21.255.2546.21.255.25565,534
236.22.0.0/166.22.0.1 to 6.22.255.2546.22.255.25565,534
246.23.0.0/166.23.0.1 to 6.23.255.2546.23.255.25565,534
256.24.0.0/166.24.0.1 to 6.24.255.2546.24.255.25565,534
266.25.0.0/166.25.0.1 to 6.25.255.2546.25.255.25565,534
276.26.0.0/166.26.0.1 to 6.26.255.2546.26.255.25565,534
286.27.0.0/166.27.0.1 to 6.27.255.2546.27.255.25565,534
296.28.0.0/166.28.0.1 to 6.28.255.2546.28.255.25565,534
306.29.0.0/166.29.0.1 to 6.29.255.2546.29.255.25565,534
316.30.0.0/166.30.0.1 to 6.30.255.2546.30.255.25565,534
326.31.0.0/166.31.0.1 to 6.31.255.2546.31.255.25565,534
336.32.0.0/166.32.0.1 to 6.32.255.2546.32.255.25565,534
346.33.0.0/166.33.0.1 to 6.33.255.2546.33.255.25565,534
356.34.0.0/166.34.0.1 to 6.34.255.2546.34.255.25565,534
366.35.0.0/166.35.0.1 to 6.35.255.2546.35.255.25565,534
376.36.0.0/166.36.0.1 to 6.36.255.2546.36.255.25565,534
386.37.0.0/166.37.0.1 to 6.37.255.2546.37.255.25565,534
396.38.0.0/166.38.0.1 to 6.38.255.2546.38.255.25565,534
406.39.0.0/166.39.0.1 to 6.39.255.2546.39.255.25565,534
416.40.0.0/166.40.0.1 to 6.40.255.2546.40.255.25565,534
426.41.0.0/166.41.0.1 to 6.41.255.2546.41.255.25565,534
436.42.0.0/166.42.0.1 to 6.42.255.2546.42.255.25565,534
446.43.0.0/166.43.0.1 to 6.43.255.2546.43.255.25565,534
456.44.0.0/166.44.0.1 to 6.44.255.2546.44.255.25565,534
466.45.0.0/166.45.0.1 to 6.45.255.2546.45.255.25565,534
476.46.0.0/166.46.0.1 to 6.46.255.2546.46.255.25565,534
486.47.0.0/166.47.0.1 to 6.47.255.2546.47.255.25565,534
496.48.0.0/166.48.0.1 to 6.48.255.2546.48.255.25565,534
506.49.0.0/166.49.0.1 to 6.49.255.2546.49.255.25565,534
516.50.0.0/166.50.0.1 to 6.50.255.2546.50.255.25565,534
526.51.0.0/166.51.0.1 to 6.51.255.2546.51.255.25565,534
536.52.0.0/166.52.0.1 to 6.52.255.2546.52.255.25565,534
546.53.0.0/166.53.0.1 to 6.53.255.2546.53.255.25565,534
556.54.0.0/166.54.0.1 to 6.54.255.2546.54.255.25565,534
566.55.0.0/166.55.0.1 to 6.55.255.2546.55.255.25565,534
576.56.0.0/166.56.0.1 to 6.56.255.2546.56.255.25565,534
586.57.0.0/166.57.0.1 to 6.57.255.2546.57.255.25565,534
596.58.0.0/166.58.0.1 to 6.58.255.2546.58.255.25565,534
606.59.0.0/166.59.0.1 to 6.59.255.2546.59.255.25565,534
616.60.0.0/166.60.0.1 to 6.60.255.2546.60.255.25565,534
626.61.0.0/166.61.0.1 to 6.61.255.2546.61.255.25565,534
636.62.0.0/166.62.0.1 to 6.62.255.2546.62.255.25565,534
646.63.0.0/166.63.0.1 to 6.63.255.2546.63.255.25565,534
656.64.0.0/166.64.0.1 to 6.64.255.2546.64.255.25565,534
666.65.0.0/166.65.0.1 to 6.65.255.2546.65.255.25565,534
676.66.0.0/166.66.0.1 to 6.66.255.2546.66.255.25565,534
686.67.0.0/166.67.0.1 to 6.67.255.2546.67.255.25565,534
696.68.0.0/166.68.0.1 to 6.68.255.2546.68.255.25565,534
706.69.0.0/166.69.0.1 to 6.69.255.2546.69.255.25565,534
716.70.0.0/166.70.0.1 to 6.70.255.2546.70.255.25565,534
726.71.0.0/166.71.0.1 to 6.71.255.2546.71.255.25565,534
736.72.0.0/166.72.0.1 to 6.72.255.2546.72.255.25565,534
746.73.0.0/166.73.0.1 to 6.73.255.2546.73.255.25565,534
756.74.0.0/166.74.0.1 to 6.74.255.2546.74.255.25565,534
766.75.0.0/166.75.0.1 to 6.75.255.2546.75.255.25565,534
776.76.0.0/166.76.0.1 to 6.76.255.2546.76.255.25565,534
786.77.0.0/166.77.0.1 to 6.77.255.2546.77.255.25565,534
796.78.0.0/166.78.0.1 to 6.78.255.2546.78.255.25565,534
806.79.0.0/166.79.0.1 to 6.79.255.2546.79.255.25565,534
816.80.0.0/166.80.0.1 to 6.80.255.2546.80.255.25565,534
826.81.0.0/166.81.0.1 to 6.81.255.2546.81.255.25565,534
836.82.0.0/166.82.0.1 to 6.82.255.2546.82.255.25565,534
846.83.0.0/166.83.0.1 to 6.83.255.2546.83.255.25565,534
856.84.0.0/166.84.0.1 to 6.84.255.2546.84.255.25565,534
866.85.0.0/166.85.0.1 to 6.85.255.2546.85.255.25565,534
876.86.0.0/166.86.0.1 to 6.86.255.2546.86.255.25565,534
886.87.0.0/166.87.0.1 to 6.87.255.2546.87.255.25565,534
896.88.0.0/166.88.0.1 to 6.88.255.2546.88.255.25565,534
906.89.0.0/166.89.0.1 to 6.89.255.2546.89.255.25565,534
916.90.0.0/166.90.0.1 to 6.90.255.2546.90.255.25565,534
926.91.0.0/166.91.0.1 to 6.91.255.2546.91.255.25565,534
936.92.0.0/166.92.0.1 to 6.92.255.2546.92.255.25565,534
946.93.0.0/166.93.0.1 to 6.93.255.2546.93.255.25565,534
956.94.0.0/166.94.0.1 to 6.94.255.2546.94.255.25565,534
966.95.0.0/166.95.0.1 to 6.95.255.2546.95.255.25565,534
976.96.0.0/166.96.0.1 to 6.96.255.2546.96.255.25565,534
986.97.0.0/166.97.0.1 to 6.97.255.2546.97.255.25565,534
996.98.0.0/166.98.0.1 to 6.98.255.2546.98.255.25565,534
1006.99.0.0/166.99.0.1 to 6.99.255.2546.99.255.25565,534
1016.100.0.0/166.100.0.1 to 6.100.255.2546.100.255.25565,534
1026.101.0.0/166.101.0.1 to 6.101.255.2546.101.255.25565,534
1036.102.0.0/166.102.0.1 to 6.102.255.2546.102.255.25565,534
1046.103.0.0/166.103.0.1 to 6.103.255.2546.103.255.25565,534
1056.104.0.0/166.104.0.1 to 6.104.255.2546.104.255.25565,534
1066.105.0.0/166.105.0.1 to 6.105.255.2546.105.255.25565,534
1076.106.0.0/166.106.0.1 to 6.106.255.2546.106.255.25565,534
1086.107.0.0/166.107.0.1 to 6.107.255.2546.107.255.25565,534
1096.108.0.0/166.108.0.1 to 6.108.255.2546.108.255.25565,534
1106.109.0.0/166.109.0.1 to 6.109.255.2546.109.255.25565,534
1116.110.0.0/166.110.0.1 to 6.110.255.2546.110.255.25565,534
1126.111.0.0/166.111.0.1 to 6.111.255.2546.111.255.25565,534
1136.112.0.0/166.112.0.1 to 6.112.255.2546.112.255.25565,534
1146.113.0.0/166.113.0.1 to 6.113.255.2546.113.255.25565,534
1156.114.0.0/166.114.0.1 to 6.114.255.2546.114.255.25565,534
1166.115.0.0/166.115.0.1 to 6.115.255.2546.115.255.25565,534
1176.116.0.0/166.116.0.1 to 6.116.255.2546.116.255.25565,534
1186.117.0.0/166.117.0.1 to 6.117.255.2546.117.255.25565,534
1196.118.0.0/166.118.0.1 to 6.118.255.2546.118.255.25565,534
1206.119.0.0/166.119.0.1 to 6.119.255.2546.119.255.25565,534
1216.120.0.0/166.120.0.1 to 6.120.255.2546.120.255.25565,534
1226.121.0.0/166.121.0.1 to 6.121.255.2546.121.255.25565,534
1236.122.0.0/166.122.0.1 to 6.122.255.2546.122.255.25565,534
1246.123.0.0/166.123.0.1 to 6.123.255.2546.123.255.25565,534
1256.124.0.0/166.124.0.1 to 6.124.255.2546.124.255.25565,534
1266.125.0.0/166.125.0.1 to 6.125.255.2546.125.255.25565,534
1276.126.0.0/166.126.0.1 to 6.126.255.2546.126.255.25565,534
1286.127.0.0/166.127.0.1 to 6.127.255.2546.127.255.25565,534
1296.128.0.0/166.128.0.1 to 6.128.255.2546.128.255.25565,534
1306.129.0.0/166.129.0.1 to 6.129.255.2546.129.255.25565,534
1316.130.0.0/166.130.0.1 to 6.130.255.2546.130.255.25565,534
1326.131.0.0/166.131.0.1 to 6.131.255.2546.131.255.25565,534
1336.132.0.0/166.132.0.1 to 6.132.255.2546.132.255.25565,534
1346.133.0.0/166.133.0.1 to 6.133.255.2546.133.255.25565,534
1356.134.0.0/166.134.0.1 to 6.134.255.2546.134.255.25565,534
1366.135.0.0/166.135.0.1 to 6.135.255.2546.135.255.25565,534
1376.136.0.0/166.136.0.1 to 6.136.255.2546.136.255.25565,534
1386.137.0.0/166.137.0.1 to 6.137.255.2546.137.255.25565,534
1396.138.0.0/166.138.0.1 to 6.138.255.2546.138.255.25565,534
1406.139.0.0/166.139.0.1 to 6.139.255.2546.139.255.25565,534
1416.140.0.0/166.140.0.1 to 6.140.255.2546.140.255.25565,534
1426.141.0.0/166.141.0.1 to 6.141.255.2546.141.255.25565,534
1436.142.0.0/166.142.0.1 to 6.142.255.2546.142.255.25565,534
1446.143.0.0/166.143.0.1 to 6.143.255.2546.143.255.25565,534
1456.144.0.0/166.144.0.1 to 6.144.255.2546.144.255.25565,534
1466.145.0.0/166.145.0.1 to 6.145.255.2546.145.255.25565,534
1476.146.0.0/166.146.0.1 to 6.146.255.2546.146.255.25565,534
1486.147.0.0/166.147.0.1 to 6.147.255.2546.147.255.25565,534
1496.148.0.0/166.148.0.1 to 6.148.255.2546.148.255.25565,534
1506.149.0.0/166.149.0.1 to 6.149.255.2546.149.255.25565,534
1516.150.0.0/166.150.0.1 to 6.150.255.2546.150.255.25565,534
1526.151.0.0/166.151.0.1 to 6.151.255.2546.151.255.25565,534
1536.152.0.0/166.152.0.1 to 6.152.255.2546.152.255.25565,534
1546.153.0.0/166.153.0.1 to 6.153.255.2546.153.255.25565,534
1556.154.0.0/166.154.0.1 to 6.154.255.2546.154.255.25565,534
1566.155.0.0/166.155.0.1 to 6.155.255.2546.155.255.25565,534
1576.156.0.0/166.156.0.1 to 6.156.255.2546.156.255.25565,534
1586.157.0.0/166.157.0.1 to 6.157.255.2546.157.255.25565,534
1596.158.0.0/166.158.0.1 to 6.158.255.2546.158.255.25565,534
1606.159.0.0/166.159.0.1 to 6.159.255.2546.159.255.25565,534
1616.160.0.0/166.160.0.1 to 6.160.255.2546.160.255.25565,534
1626.161.0.0/166.161.0.1 to 6.161.255.2546.161.255.25565,534
1636.162.0.0/166.162.0.1 to 6.162.255.2546.162.255.25565,534
1646.163.0.0/166.163.0.1 to 6.163.255.2546.163.255.25565,534
1656.164.0.0/166.164.0.1 to 6.164.255.2546.164.255.25565,534
1666.165.0.0/166.165.0.1 to 6.165.255.2546.165.255.25565,534
1676.166.0.0/166.166.0.1 to 6.166.255.2546.166.255.25565,534
1686.167.0.0/166.167.0.1 to 6.167.255.2546.167.255.25565,534
1696.168.0.0/166.168.0.1 to 6.168.255.2546.168.255.25565,534
1706.169.0.0/166.169.0.1 to 6.169.255.2546.169.255.25565,534
1716.170.0.0/166.170.0.1 to 6.170.255.2546.170.255.25565,534
1726.171.0.0/166.171.0.1 to 6.171.255.2546.171.255.25565,534
1736.172.0.0/166.172.0.1 to 6.172.255.2546.172.255.25565,534
1746.173.0.0/166.173.0.1 to 6.173.255.2546.173.255.25565,534
1756.174.0.0/166.174.0.1 to 6.174.255.2546.174.255.25565,534
1766.175.0.0/166.175.0.1 to 6.175.255.2546.175.255.25565,534
1776.176.0.0/166.176.0.1 to 6.176.255.2546.176.255.25565,534
1786.177.0.0/166.177.0.1 to 6.177.255.2546.177.255.25565,534
1796.178.0.0/166.178.0.1 to 6.178.255.2546.178.255.25565,534
1806.179.0.0/166.179.0.1 to 6.179.255.2546.179.255.25565,534
1816.180.0.0/166.180.0.1 to 6.180.255.2546.180.255.25565,534
1826.181.0.0/166.181.0.1 to 6.181.255.2546.181.255.25565,534
1836.182.0.0/166.182.0.1 to 6.182.255.2546.182.255.25565,534
1846.183.0.0/166.183.0.1 to 6.183.255.2546.183.255.25565,534
1856.184.0.0/166.184.0.1 to 6.184.255.2546.184.255.25565,534
1866.185.0.0/166.185.0.1 to 6.185.255.2546.185.255.25565,534
1876.186.0.0/166.186.0.1 to 6.186.255.2546.186.255.25565,534
1886.187.0.0/166.187.0.1 to 6.187.255.2546.187.255.25565,534
1896.188.0.0/166.188.0.1 to 6.188.255.2546.188.255.25565,534
1906.189.0.0/166.189.0.1 to 6.189.255.2546.189.255.25565,534
1916.190.0.0/166.190.0.1 to 6.190.255.2546.190.255.25565,534
1926.191.0.0/166.191.0.1 to 6.191.255.2546.191.255.25565,534
1936.192.0.0/166.192.0.1 to 6.192.255.2546.192.255.25565,534
1946.193.0.0/166.193.0.1 to 6.193.255.2546.193.255.25565,534
1956.194.0.0/166.194.0.1 to 6.194.255.2546.194.255.25565,534
1966.195.0.0/166.195.0.1 to 6.195.255.2546.195.255.25565,534
1976.196.0.0/166.196.0.1 to 6.196.255.2546.196.255.25565,534
1986.197.0.0/166.197.0.1 to 6.197.255.2546.197.255.25565,534
1996.198.0.0/166.198.0.1 to 6.198.255.2546.198.255.25565,534
2006.199.0.0/166.199.0.1 to 6.199.255.2546.199.255.25565,534
2016.200.0.0/166.200.0.1 to 6.200.255.2546.200.255.25565,534
2026.201.0.0/166.201.0.1 to 6.201.255.2546.201.255.25565,534
2036.202.0.0/166.202.0.1 to 6.202.255.2546.202.255.25565,534
2046.203.0.0/166.203.0.1 to 6.203.255.2546.203.255.25565,534
2056.204.0.0/166.204.0.1 to 6.204.255.2546.204.255.25565,534
2066.205.0.0/166.205.0.1 to 6.205.255.2546.205.255.25565,534
2076.206.0.0/166.206.0.1 to 6.206.255.2546.206.255.25565,534
2086.207.0.0/166.207.0.1 to 6.207.255.2546.207.255.25565,534
2096.208.0.0/166.208.0.1 to 6.208.255.2546.208.255.25565,534
2106.209.0.0/166.209.0.1 to 6.209.255.2546.209.255.25565,534
2116.210.0.0/166.210.0.1 to 6.210.255.2546.210.255.25565,534
2126.211.0.0/166.211.0.1 to 6.211.255.2546.211.255.25565,534
2136.212.0.0/166.212.0.1 to 6.212.255.2546.212.255.25565,534
2146.213.0.0/166.213.0.1 to 6.213.255.2546.213.255.25565,534
2156.214.0.0/166.214.0.1 to 6.214.255.2546.214.255.25565,534
2166.215.0.0/166.215.0.1 to 6.215.255.2546.215.255.25565,534
2176.216.0.0/166.216.0.1 to 6.216.255.2546.216.255.25565,534
2186.217.0.0/166.217.0.1 to 6.217.255.2546.217.255.25565,534
2196.218.0.0/166.218.0.1 to 6.218.255.2546.218.255.25565,534
2206.219.0.0/166.219.0.1 to 6.219.255.2546.219.255.25565,534
2216.220.0.0/166.220.0.1 to 6.220.255.2546.220.255.25565,534
2226.221.0.0/166.221.0.1 to 6.221.255.2546.221.255.25565,534
2236.222.0.0/166.222.0.1 to 6.222.255.2546.222.255.25565,534
2246.223.0.0/166.223.0.1 to 6.223.255.2546.223.255.25565,534
2256.224.0.0/166.224.0.1 to 6.224.255.2546.224.255.25565,534
2266.225.0.0/166.225.0.1 to 6.225.255.2546.225.255.25565,534
2276.226.0.0/166.226.0.1 to 6.226.255.2546.226.255.25565,534
2286.227.0.0/166.227.0.1 to 6.227.255.2546.227.255.25565,534
2296.228.0.0/166.228.0.1 to 6.228.255.2546.228.255.25565,534
2306.229.0.0/166.229.0.1 to 6.229.255.2546.229.255.25565,534
2316.230.0.0/166.230.0.1 to 6.230.255.2546.230.255.25565,534
2326.231.0.0/166.231.0.1 to 6.231.255.2546.231.255.25565,534
2336.232.0.0/166.232.0.1 to 6.232.255.2546.232.255.25565,534
2346.233.0.0/166.233.0.1 to 6.233.255.2546.233.255.25565,534
2356.234.0.0/166.234.0.1 to 6.234.255.2546.234.255.25565,534
2366.235.0.0/166.235.0.1 to 6.235.255.2546.235.255.25565,534
2376.236.0.0/166.236.0.1 to 6.236.255.2546.236.255.25565,534
2386.237.0.0/166.237.0.1 to 6.237.255.2546.237.255.25565,534
2396.238.0.0/166.238.0.1 to 6.238.255.2546.238.255.25565,534
2406.239.0.0/166.239.0.1 to 6.239.255.2546.239.255.25565,534
2416.240.0.0/166.240.0.1 to 6.240.255.2546.240.255.25565,534
2426.241.0.0/166.241.0.1 to 6.241.255.2546.241.255.25565,534
2436.242.0.0/166.242.0.1 to 6.242.255.2546.242.255.25565,534
2446.243.0.0/166.243.0.1 to 6.243.255.2546.243.255.25565,534
2456.244.0.0/166.244.0.1 to 6.244.255.2546.244.255.25565,534
2466.245.0.0/166.245.0.1 to 6.245.255.2546.245.255.25565,534
2476.246.0.0/166.246.0.1 to 6.246.255.2546.246.255.25565,534
2486.247.0.0/166.247.0.1 to 6.247.255.2546.247.255.25565,534
2496.248.0.0/166.248.0.1 to 6.248.255.2546.248.255.25565,534
2506.249.0.0/166.249.0.1 to 6.249.255.2546.249.255.25565,534
2516.250.0.0/166.250.0.1 to 6.250.255.2546.250.255.25565,534
2526.251.0.0/166.251.0.1 to 6.251.255.2546.251.255.25565,534
2536.252.0.0/166.252.0.1 to 6.252.255.2546.252.255.25565,534
2546.253.0.0/166.253.0.1 to 6.253.255.2546.253.255.25565,534
2556.254.0.0/166.254.0.1 to 6.254.255.2546.254.255.25565,534
2566.255.0.0/166.255.0.1 to 6.255.255.2546.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses